Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Public Attributes | List of all members
ranges::v3::any_view< Ref, category::input > Struct Template Reference
Inheritance diagram for ranges::v3::any_view< Ref, category::input >:

## Public Member Functions
template<typename Rng , requires = (meta::and_< meta::not_<Same<detail::decay_t<Rng>, any_view>>, InputRange<Rng>, meta::defer<detail::AnyCompatibleRange, Rng, Ref>>::value)>
| any_view (Rng &&rng)
Public Member Functions inherited from ranges::v3::view_facade< any_view< Ref, category::input >, unknown >
detail::facade_iterator_t< D > | begin ()
detail::facade_iterator_t< D const > | begin () const
detail::facade_sentinel_t< D > | end ()
detail::facade_sentinel_t< D const > | end () const
Public Member Functions inherited from ranges::v3::view_interface< any_view< Ref, category::input >, Cardinality >
range_reference_t< D > | back ()
| Access the last element in a range:
range_reference_t< D const > | back () const
constexpr bool | empty () const
constexpr bool | empty () const
range_reference_t< D > | front ()
| Access the first element in a range:
range_reference_t< D const > | front () const
constexpr | operator bool () const
| operator Container ()
| Implicit conversion to something that looks like a container.
| operator Container () const
constexpr bool | operator! () const
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
auto | operator[] (range_difference_type_t< D > n) -> decltype(std::declval< D & >().begin()[n])
| Simple indexing:
auto | operator[] (range_difference_type_t< D > n) const -> decltype(std::declval< D const & >().begin()[n])
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >> offs) &-> decltype(std::declval< Slice >()(std::declval< D & >(), offs.from, offs.to))
| Python-ic slicing:
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >> offs) const &-> decltype(std::declval< Slice >()(std::declval< D const & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >> offs) &&-> decltype(std::declval< Slice >()(std::declval< D >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >, detail::from_end_< range_difference_type_t< D >>> offs) &-> decltype(std::declval< Slice >()(std::declval< D & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >, detail::from_end_< range_difference_type_t< D >>> offs) const &-> decltype(std::declval< Slice >()(std::declval< D const & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >, detail::from_end_< range_difference_type_t< D >>> offs) &&-> decltype(std::declval< Slice >()(std::declval< D >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< detail::from_end_< range_difference_type_t< D >>, detail::from_end_< range_difference_type_t< D >>> offs) &-> decltype(std::declval< Slice >()(std::declval< D & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< detail::from_end_< range_difference_type_t< D >>, detail::from_end_< range_difference_type_t< D >>> offs) const &-> decltype(std::declval< Slice >()(std::declval< D const & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< detail::from_end_< range_difference_type_t< D >>, detail::from_end_< range_difference_type_t< D >>> offs) &&-> decltype(std::declval< Slice >()(std::declval< D >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >, end_fn > offs) &-> decltype(std::declval< Slice >()(std::declval< D & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >, end_fn > offs) const &-> decltype(std::declval< Slice >()(std::declval< D const & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< range_difference_type_t< D >, end_fn > offs) &&-> decltype(std::declval< Slice >()(std::declval< D >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< detail::from_end_< range_difference_type_t< D >>, end_fn > offs) &-> decltype(std::declval< Slice >()(std::declval< D & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< detail::from_end_< range_difference_type_t< D >>, end_fn > offs) const &-> decltype(std::declval< Slice >()(std::declval< D const & >(), offs.from, offs.to))
auto | operator[] (detail::slice_bounds< detail::from_end_< range_difference_type_t< D >>, end_fn > offs) &&-> decltype(std::declval< Slice >()(std::declval< D >(), offs.from, offs.to))
constexpr range_size_type_t< D > | size () const
| Access the size of the range, if it can be determined:
constexpr range_size_type_t< D > | size () const
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Public Attributes
friend | range_access

## Additional Inherited Members
Protected Types inherited from ranges::v3::view_facade< any_view< Ref, category::input >, unknown >
using | view_facade_t = view_facade
Protected Member Functions inherited from ranges::v3::view_facade< any_view< Ref, category::input >, unknown >
any_view< Ref, category::input > | begin_cursor () const
constexpr default_sentinel | end_cursor () const
Protected Member Functions inherited from ranges::v3::view_interface< any_view< Ref, category::input >, Cardinality >
any_view< Ref, category::input > & | derived ()
any_view< Ref, category::input > const & | derived () const
Protected Attributes inherited from ranges::v3::view_facade< any_view< Ref, category::input >, unknown >
friend | range_access